#!/bin/sh
export COMPSS_PYTHON_VERSION=None
module load dislib/master
export COMPSS_PYTHON_VERSION=3.9.10
module load COMPSs/3.3
module load gcc/7.2.0
module load graphviz
export PYTHONPATH=$PWD:$PYTHONPATH

export ComputingUnits=2

master_working_dir=/gpfs/projects/bsc19/bsc19756/RF_Example
worker_working_dir=/gpfs/projects/bsc19/bsc19756/RF_Example
base_log_dir=/gpfs/projects/bsc19/bsc19756/RF_Example

#queue=bsc_cs
queue=debug
time_limit=2*60
num_nodes=3

# log level off for better performance
enqueue_compss --qos=$queue \
 --job_name=svd_lanczos \
 --provenance \
 --scheduler="es.bsc.compss.scheduler.orderstrict.fifo.FifoTS" \
 --worker_in_master_cpus=0 \
 --jvm_master_opts="-Xms16000m,-Xmx50000m,-Xmn1600m" \
 --max_tasks_per_node=48 \
 --exec_time=$time_limit \
 --num_nodes=$num_nodes \
 --base_log_dir=${base_log_dir} \
 --worker_working_dir=${worker_working_dir} \
 --master_working_dir=${master_working_dir} \
 main_rf.py
